#### D.15.6.6 forward

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  forward(U1,U2,var); U1, U2 are the names of occuring derivatives, var is a variable in the basering;

Return:
  type vector; gives a predefined approximation of the forward approximation as often used in literature;

Note:
  see also laxfrT,setinitials,scheme;

Example:

    LIB "finitediff.lib";
    list D="Ut","Ux","Uy","U";
    list V="t","x","y";
    list P="a","b";
    setinitials(V,D,P);
    forward(Ux,U,x);
    ==> [0,(dx),0,-x+1]
    forward(Uy,U,y);
    ==> [0,0,(dy),-y+1]
    forward(Ut,U,t);
    ==> [(dt),0,0,-t+1]

User manual for Singular version 4.4.1, 2025, generated by texi2html.